Bug 488542 - Review Request: php-ezc-Database - eZ Components Database
Review Request: php-ezc-Database - eZ Components Database
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
10
noarch Linux
low Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On: 484509
Blocks: 490592
  Show dependency treegraph
 
Reported: 2009-03-04 14:05 EST by Guillaume Kulakowski
Modified: 2014-09-02 09:18 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.4.4-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-12 20:20:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Guillaume Kulakowski 2009-03-04 14:05:30 EST
Database is a part of eZ Components :
https://admin.fedoraproject.org/pkgdb/packages/name/php-channel-ezc

A lightweight database layer on top of PHP's PDO that allows you to utilize
a database without having to take care of differences in SQL dialects.


SPEC:
http://llaumgui.fedorapeople.org/review/ez_components/php-ezc-Database.spec

SRPM:
http://llaumgui.fedorapeople.org/review/ez_components/php-ezc-Database-1.4.3-1.fc10.src.rpm

RPM:
http://llaumgui.fedorapeople.org/review/ez_components/php-ezc-Database-1.4.3-1.fc10.noarch.rpm

rpmlint:
builder@enterprise ~> rpmlint rpmbuild/**/php-ezc-Database*               
2 packages and 1 specfiles checked; 0 errors, 0 warnings.



Pear CompatInfo:
+-----------------------------+---------+---+------------+--------------------+
| Files                       | Version | C | Extensions | Constants/Tokens   |
+-----------------------------+---------+---+------------+--------------------+
| ./*                         | 5.0.0   | 0 | date       | abstract           |
|                             |         |   | hash       | catch              |
|                             |         |   | pcre       | instanceof         |
|                             |         |   |            | private            |
|                             |         |   |            | protected          |
|                             |         |   |            | public             |
|                             |         |   |            | throw              |
|                             |         |   |            | try                |
+-----------------------------+---------+---+------------+--------------------+
Comment 2 Remi Collet 2009-04-25 11:39:12 EDT
REVIEW:

+ rpmlint is ok
php-ezc-Database.src: I: checking
php-ezc-Database.noarch: I: checking
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
+ package name ok
+ spec file name ok
+ package meet the PHP Guidelines (new update)
+ License ok : BSD
+ License is upstream 
+ spec in english and legible
+ license file in sources is provided
+ sources match the upstream sources
b48377b4153f49da304337a7e768bf38  Database-1.4.4.tgz
+ Source URL ok
+ build  on F10.x86_64
+ BuildRequires (php-pear >= 1:1.4.9-1.2, php-channel(components.ez.no)) ok
+ no locale
+ no .so
+ own all directories that it creates
+ no duplicate file
+ %defattr ok
+ %clean section
+ use macros consistently
+ contain code
+ small documentation not required to run
+ no devel
+ no pkgconfig
+ no sub-package
+ no GUI
+ don't own files or directories already owned by other packages
+ %install start with rm -rf 
+ valid UTF-8
+ build in mock (fedora-rawhide-x86_64)
+ no test suite
+ scriptlets ok
+ Final Requires ok
/usr/bin/pear  
php-common >= 5.2.1
php-pdo  
php-pear(components.ez.no/Base) >= 1.6.1
+ Final Provides ok
php-pear(components.ez.no/Database) = 1.4.4
php-ezc-Database = 1.4.4-1.fc8

--------
APPROVED
--------
Comment 3 Guillaume Kulakowski 2009-04-25 13:12:21 EDT
New Package CVS Request
=======================
Package Name: php-ezc-Database
Short Description: A lightweight database layer on top of PHP's PDO
Owners: llaumgui
Branches: F-9 F-10
InitialCC:
Comment 4 Kevin Fenzi 2009-04-27 01:14:33 EDT
cvs done with F-11 branch added.
Comment 5 Fedora Update System 2009-04-27 14:04:12 EDT
php-ezc-Database-1.4.4-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/php-ezc-Database-1.4.4-1.fc10
Comment 6 Fedora Update System 2009-04-27 14:04:17 EDT
php-ezc-Database-1.4.4-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/php-ezc-Database-1.4.4-1.fc9
Comment 7 Fedora Update System 2009-04-27 14:04:21 EDT
php-ezc-Database-1.4.4-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/php-ezc-Database-1.4.4-1.fc11
Comment 8 Fedora Update System 2009-04-27 21:19:22 EDT
php-ezc-Database-1.4.4-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-ezc-Database'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4067
Comment 9 Fedora Update System 2009-04-27 21:19:42 EDT
php-ezc-Database-1.4.4-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update php-ezc-Database'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-4073
Comment 10 Fedora Update System 2009-05-09 00:03:14 EDT
php-ezc-Database-1.4.4-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-ezc-Database'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-4410
Comment 11 Fedora Update System 2009-05-12 20:20:38 EDT
php-ezc-Database-1.4.4-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-05-12 20:21:38 EDT
php-ezc-Database-1.4.4-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-05-12 20:28:24 EDT
php-ezc-Database-1.4.4-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Guillaume Kulakowski 2010-08-29 04:58:36 EDT
Package Change Request
======================
Package Name: php-ezc-Database
New Branches: EL-6
Owners: llaumgui
Comment 15 Kevin Fenzi 2010-08-29 14:47:28 EDT
Git done (by process-git-requests).
Comment 16 Guillaume Kulakowski 2014-09-02 09:02:32 EDT
Package Change Request
======================
Package Name: php-ezc-Database
New Branches: EL-7
Owners: llaumgui
Comment 17 Gwyn Ciesla 2014-09-02 09:18:52 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.